APT(8)

NAME
apt - command-line interface

SYNOPSIS

apt [-h] [-o=config_string] [-c=config_file] [-t=target_release] [-a=architecture] {list | search | show | update | install pkg [{=pkg_version_number | /target_release}]... | remove pkg... | upgrade | full-upgrade | edit-sources | {-v | --version} | {-h | --help}}

DESCRIPTION

apt (Advanced Package Tool) is the command-line tool for handling packages. It provides a commandline interface for the package management of the system. See also apt-get(8) and apt-cache(8) for more low-level command options.

list
    list is used to display a list of packages. It supports shell pattern for matching package names and the following options: --installed, --upgradable, --all-versions are supported.

search
    search searches for the given term(s) and display matching packages.

show
    show shows the package information for the given package(s).

install
    install is followed by one or more package names desired for installation or upgrading.

    A specific version of a package can be selected for installation by following the package name with an equals and the version of the package to select. This will cause that version to be located and selected for install. Alternatively a specific distribution can be selected by following the package name with a slash and the version of the distribution or the Archive name (stable, testing, unstable).

remove
    remove is identical to install except that packages are removed instead of installed. Note that removing a package leaves its configuration files on the system. If a plus sign is appended to the package name (with no intervening space), the identified package will be installed instead of removed.

edit-sources
    edit-sources lets you edit your sources.list file and provides basic sanity checks.

update
    update is used to resynchronize the package index files from their sources.

upgrade
    upgrade is used to install the newest versions of all packages currently installed on the system from the sources enumerated in /etc/apt/sources.list. New package will be installed, but existing package will never removed.

full-upgrade
    full-upgrade performs the function of upgrade but may also remove installed packages if that is required in order to resolve a package conflict.

OPTIONS

All command line options may be set using the configuration file, the descriptions indicate the configuration option to set. For boolean options you can override the config file by using something like -f-,--no-f, -f=no or several other variations.

-h, --help
    Show a short usage summary.

-v, --version
    Show the program version.

-c, --config-file
    Configuration File; Specify a configuration file to use. The program will read the default configuration file and then this configuration file. If configuration settings need to be set before the default configuration files are parsed specify a file with the APT_CONFIG environment variable. See apt.conf(5) for syntax information.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

SCRIPT USAGE

The apt(8) commandline is designed as a end-user tool and it may change the output between versions. While it tries to not break backward compatibility there is no guarantee for it either. All features of apt(8) are available in apt-cache(8) and apt-get(8) via APT options. Please prefer using these commands in your scripts.

DIFFERENCES TO APT-GET(8)

The apt command is meant to be pleasant for end users and does not need to be backward compatible like apt-get(8). Therefore some options are different:

    • The option DPkgPM::Progress-Fancy is enabled.

    • The option APT::Color is enabled.

    • A new list command is available similar to dpkg --list.

    • The option upgrade has --with-new-pkgs enabled by default.

SEE ALSO

apt-get(8), apt-cache(8), sources.list(5), apt.conf(5), apt-config(8), The APT User's guide in /usr/share/doc/apt-doc/, apt_preferences(5), the APT Howto.

DIAGNOSTICS

apt returns zero on normal operation, decimal 100 on error.

BUGS

APT bug page[1]. If you wish to report a bug in APT, please see /usr/share/doc/debian/bug-reporting.txt or the reportbug(1) command.

AUTHOR

APT team

NOTES

1.  APT bug page
    http://bugs.debian.org/src:apt